<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Hausmeister\Raumbelegung\Raumdetails\RaumGrafik;

class RaumGrafikController extends \Kufer\Web\KuferTools\Basis\Raumbelegung\Raumdetails\RaumGrafik\RaumGrafikController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new RaumGrafikUseCase($this->getRequestObj());
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new RaumGrafikPresenter($pUseCaseResponse);
  }
}